module.exports = {
  theme: {
    extend: {
      screens: {
        sm: "640px",
        md: "768px",
        lg: "1440px",
        xl: "2560px",
        desktop: { min: "1440px", max: "2559px" }, // 24 COL specific styling, not including 2560px+
        tablet: { min: "768px", max: "1439px" }, // 12 COL specific styling
        landscape: { min: "640px", max: "767px" }, // Mobile landscape specific styling
        mobile: { max: "767px" },
      },
      gridTemplateColumns: {
        4: "repeat(4, minmax(0, 1fr))",
        12: "repeat(12, minmax(0, 1fr))",
        24: "repeat(24, minmax(0, 1fr))",
      },
    },
  },
};
